= kmc_tools(1)

== NAME

kmc_tools - additional operations on k-mer databases

== SYNOPSIS

*kmc_tools* [global parameters] <operation> [operation parameters]

== DESCRIPTION

This command and its various subcomments implement a number of operations on
KMC databases.

=== k-mers sets operations for 2 KMC databases

  *intersect*::
    intersection of 2 k-mers sets

  *kmers_subtract*::
    subtraction of 2 k-mers sets

  *counters_subtract*::
    counters subtraction of 2 k-mer sets

  *union*::
    union of 2 k-mers sets

=== operations for single kmc database

  *sort*::
    sorts k-mers from database generated by KMC2.x

  *reduce*::
    exclude too rare and too frequent k-mers

  *compact*::
    remove counters (store only k-mers)

  *histogram*::
    histogram of k-mers occurr ences

  *dump*::
    dump k-mers and counters to text file

=== more complex operations:

  *complex*::
    complex operations with a number of input databases

=== other operations:

  *filter*::
    filter out reads with too small number of k-mers

== OPTIONS

=== global parameters:

  *-t<value>*::
    total number of threads (default: no. of CPU cores)

  *-v*::
    enable verbose mode (shows some information) (default: false)

  *-hp*::
    hide percentage progress (default: false)

== EXAMPLE

kmc_tools union db1 -ci3 db2 -ci5 -cx300 db1_union_db2 -ci10

== SEE ALSO

kmc(1), kmc_tools-histogram(1), kmc_tools-compact(1), kmc_tools-intersect(1),
kmc_tools-complex(1), kmc_tools-kmers_subtract(1), kmc_tools-counters_subtract(1),
kmc_tools-sort(1), kmc_tools-dump(1), kmc_tools-union(1), kmc_tools-filter(1)

== AUTHOR

KMC was originally written by:

 - Sebastian Deorowicz (sebastian.deorowicz@polsl.pl)

 - Marek Kokot

 - Szymon Grabowski

 - Agnieszka Debudaj-Grabysz

== COPYING

KMC is free software distributed under GNU GPL3 licence for academic,
research, and commercial use.
